@ECHO OFF
REM
REM     This batch file shows how to turn ON a battery charger immediately
REM     and program it to turn OFF 14 hours from now...
REM
REM     Assumptions:
REM             1) CP-290 is connected to COM1 (unless modified in XA.INI)
REM             2) Battery charger is addressed at Housecode "C", Unit "5"
REM
REM     The next statement invokes XA with an immediate command to turn the
REM     charger ON:

XA "C5 ON"

REM
REM     The next statement downloads an event to turn the charger OFF 14 hours
REM     from now. 

XA "C5 OFF NOW 14:00"

REM
REM     For a faster method of performing these steps, you might want to
REM     create a command file. This way, XA will not have to be "called"
REM     twice from DOS. See CHARGER.CMD for an example. You could then
REM     call it from a batch file as follows (commented out):

REM CALL XA F=CHARGER.CMD
